\version "2.19.82"

\header {
	composer = "Lazy Town"
  	title = "We Are Number One"
}

global = {
	\key c \major
	\time 4/4
	\set Score.skipBars = ##t
}

RiffChord = \chordmode {
    f1:m | f1:m | des1 | c1 |
}

RiffBass = \relative c,, {
    f4\staccato gis4\staccato c4\staccato gis4\staccato |
    f4\staccato gis4\staccato c4\staccato gis4\staccato |
    cis4\staccato f4\staccato gis4\2\staccato f4\staccato |
    c4\staccato  g'4\2\staccato e4\2\staccato c4\staccato |
}

RiffBassUp = \relative c,, {
    fis4\staccato a4\4\staccato cis4\staccato a4\4\staccato |
    fis4\staccato a4\4\staccato cis4\staccato a4\4\staccato |
    d4\3\staccato fis4\staccato a4\2\staccato fis4\staccato |
    cis4\staccato  gis'4\2\staccato f4\2\staccato cis4\staccato |
}


chordNames = \chordmode {
	\global
	% Akkoordnamen volgen.
	R1*4
	\repeat volta 2 {
    	\RiffChord
    	R1*2 |
	}
	%Pre Chorus
	bes1:m |
	c1:m |
	des1 |
	es1*3 |

	\barNumberCheck #31
	%Chorus
	\RiffChord
	\RiffChord
	s1 |
	\RiffChord
	R1

	%Verse
	\RiffChord

	R1*4


	\RiffChord
	R1*2
	s1

	% Bridge
	R1*16

	% Outro (half tone up)
	\barNumberCheck #76
	\repeat volta 4 {
    		\transpose c cis \RiffChord
	}
	cis1 | cis1 | cis1 |
	fis1:m
}

electricBass = \relative c, {
	\global
	% Muziek volgt hier.
	R1*4
	\repeat volta 2 {
		\RiffBass
		R1*2 |
	}
	%Pre Chorus
	ais4 r8 cis8\staccato f8\staccato f8\staccato ais,8\staccato r8 |
	c8\staccato c8\staccato c8\staccato dis8\3\staccato g8\2\staccato r8 g8\2\staccato r8  |
	cis,4 r8 f8\staccato gis8\2\staccato gis8\2\staccato cis,8\staccato r8 |
	dis1\3 |
	R1
	r4 gis4\2\staccato g4\2\staccato fis4\staccato |

	\barNumberCheck #31
	%Chorus
	f,4\staccato gis4\staccato c4\staccato gis4\staccato |
	f4\staccato gis4\staccato c4\staccato gis4\staccato |
	cis4\staccato f4\staccato gis4\2\staccato f4\staccato |
	c4\staccato r2. |
	\RiffBass
	a8 ais b c cis d dis e |
	\RiffBass
	R1

	%Verse
	\RiffBass

	R1*4


	\RiffBass
	R1*2
	r4 gis4\2\staccato g4\2\staccato fis4\staccato |

	% Bridge
	R1*16

	% Outro (half tone up)
	\break
	\barNumberCheck #76
	\repeat volta 4 {
  		\RiffBassUp
	}

	\barNumberCheck #91
	cis8\staccato cis8\staccato cis8\staccato cis8\staccato cis8 r8 r4 |
	cis8\staccato cis8\staccato cis8\staccato cis8\staccato cis8 r8 r4 |
	cis8 r8 r2 cis4\staccato |
	fis,4\staccato r2.
}

chordsPart = \new ChordNames \chordNames

electricBassPart = \new StaffGroup \with {
  \consists "Instrument_name_engraver"
  instrumentName = "Electric Bass"
} <<
  \new Staff { \clef "bass_8" \electricBass }
  \new TabStaff \with {
    stringTunings = #bass-tuning
  } \electricBass
>>

\score {
  <<
    \chordsPart
    \electricBassPart
  >>
  \layout { }
}
