\version "2.19.82"

\header {
	title = "Psycho"
    composer = "Muse"
    source = "https://www.youtube.com/watch?v=4CEzv6vZSiw"
}

global = {
	\key c \major
	\time 4/4
	\set Score.skipBars = ##t
	\mark \markup{ Swing }
}

\include "../bass_guitar.ily"

vocal_afuckingpsycho = \relative c {
	r8 d8\2
	\tuplet 3/2 { c'4 f,8 }
	c'8 f,
	r4
}

electricBass_psycho = \relative c, {
	\global
	R1*7
	\barNumberCheck #7
	\repeat unfold 7 {
		\tuplet 3/2 { d'8\2 d8\2 d8\2 }
	}
	d4\2 \slideout
	d,,=,,4 f8 d	g8	d	f8 d~ |
	d8 d8	f8 d	\bendup g4	\bendup g4 |
	d4	f8 d	g8 d	f8 d8 |
	<<
		{
			R1
		}
		{
			\clef "treble_8"
			\vocal_afuckingpsycho
			\clef "bass_8"
		}
	>>
	d4 f8 d	g8	d	f8 d~ |
	\barNumberCheck #14
	d8 d8	f8 d	\bendup g4	\bendup g4 |
	d4	f8 d	g8 d	f8 d8~ |
	d8 d8	fis8 d	g4	gis8 d |
	a'4\4	bes8\4 a\4	cis8\4 a\4	bes8\4 a\4~ |
	a8\4 a8\4	bes8\4 a\4	cis8\4 a\4	bes8\4 a\4 |
	g4 a8\4 g	bes8\4 a\4	g8 f8~ |
	f8 f8	c'8 e,8~ e8 e8 cis'8 e,8 |
	\barNumberCheck #21
	d''8\2 d,8	cis'4\2	\bendup a4\2 a4\2 |
	g8\2 d	f4	e4	es4 |
	d8 a	cis4 ais4 a4 |
	g8 d	f4 e4 es4 |

	\mark \markup { Verse }
	\barNumberCheck #25
	\repeat volta 2 {
		\repeat unfold 4 {
			d'=,8\3 d\3	d8\3 d\3	d8\3 r8 r4
		}
		|
		f8\3 f\3	f8\3 f\3	f8\3 r8	r4 |
		c8 c	c8 c	c8 r8	r4 |
		g8 g	g8 g	g8 r8	r4 |
		g8 g	g8 g	g8 r8	r4 |
	}
	\repeat unfold 3 {
		d=,8\3 d\3	d8\3 d\3	d8\3 r8 r4
	}
	d8\3 r8 r2.

	\mark \markup { Chorus }
	d,=,,4 f8 d	g8	d	f8 d~ |
	d8 d8	f8 d	\bendup g4	\bendup g4 |
	d4	f8 d	g8 d	f8 d8 |
	<<
		{
			R1
		}
		{
			\clef "treble_8"
			\vocal_afuckingpsycho
			\clef "bass_8"
		}
	>>
	d4 f8 d	g8	d	f8 d~ |
	\barNumberCheck #14
	d8 d8	f8 d	\bendup g4	\bendup g4 |
	d4	f8 d	g8 d	f8 d8~ |
	d8 d8	fis8 d	g4	gis8 d |
	a'4\4	bes8\4 a\4	cis8\4 a\4	bes8\4 a\4~ |
	a8\4 a8\4	bes8\4 a\4	cis8\4 a\4	bes8\4 a\4 |
	g4 a8\4 g	bes8\4 a\4	g8 f8~ |
	f8 f8	c'8 e,8~ e8 e8 cis'8 e,8 |
	\barNumberCheck #21
	d''8\2 d,8	cis'4\2	\bendup a4\2 a4\2 |
	g8\2 d	f4	e4	es4 |
	d8 a	cis4 ais4 a4 |
	g8 d	f4 e4 es4 |

	\mark \markup { Verse }
	\barNumberCheck #61
	\repeat unfold 4 {
		d'=,8\3 d\3	d8\3 d\3	d8\3 r8 r4
	}
	|
	f8\3 f\3	f8\3 f\3	f8\3 r8	r4 |
	c8 c	c8 c	c8 r8	r4 |
	g8 g	g8 g	g8 r8	r4 |
	g8 g	g8 g	g8 r8	r4 |
	\repeat unfold 3 {
		d=,8\3 d\3	d8\3 d\3	d8\3 r8 r4
	}
	d8\3 r8 r2.

	\mark \markup { Chorus }
	d,=,,4 f8 d	g8	d	f8 d~ |
	d8 d8	f8 d	\bendup g4	\bendup g4 |
	d4	f8 d	g8 d	f8 d8 |
	<<
		{
			R1
		}
		{
			\clef "treble_8"
			\vocal_afuckingpsycho
			\clef "bass_8"
		}
	>>
	d4 f8 d	g8	d	f8 d~ |
	\barNumberCheck #14
	d8 d8	f8 d	\bendup g4	\bendup g4 |
	d4	f8 d	g8 d	f8 d8~ |
	d8 d8	fis8 d	g4	gis8 d |
	a'4\4	bes8\4 a\4	cis8\4 a\4	bes8\4 a\4~ |
	a8\4 a8\4	bes8\4 a\4	cis8\4 a\4	bes8\4 a\4 |
	g4 a8\4 g	bes8\4 a\4	g8 f8~ |
	f8 f8	c'8 e,8~ e8 e8 cis'8 e,8 |
	\barNumberCheck #21
	d''8\2 d,8	cis'4\2	\bendup a4\2 a4\2 |
	g8\2 d	f4	e4	es4 |
	d8 a	cis4 ais4 a4 |
	g8 d	f4 e4 es4 |

	\barNumberCheck 97
	d8 d	e4	f4	g4 |
	gis8\4 d	a'4\4	c4	cis4 |
	d8\3 d\3	e4\3	f4\3	g4\3 |
	gis8\3 d\2	a'4\2	\slidein c4\2 cis4\2 |
	d8\2 r8 r2. |

	R1*3 |

	d,,=,,8 d	d8 d	d8 r8 r4 |
	d,,=,,8 d	d8 d	d8 r8 r4 |
	d,,=,,8 d	d8 d	d8 r8 r4 |
	R1 |

	\mark \markup { Chorus }
	d,=,,4 f8 d	g8	d	f8 d~ |
	d8 d8	f8 d	\bendup g4	\bendup g4 |
	d4	f8 d	g8 d	f8 d8 |
	<<
		{
			R1
		}
		{
			\clef "treble_8"
			\vocal_afuckingpsycho
			\clef "bass_8"
		}
	>>
	d4 f8 d	g8	d	f8 d~ |
	\barNumberCheck #14
	d8 d8	f8 d	\bendup g4	\bendup g4 |
	d4	f8 d	g8 d	f8 d8~ |
	d8 d8	fis8 d	g4	gis8 d |
	a'4\4	bes8\4 a\4	cis8\4 a\4	bes8\4 a\4~ |
	a8\4 a8\4	bes8\4 a\4	cis8\4 a\4	bes8\4 a\4 |
	g4 a8\4 g	bes8\4 a\4	g8 f8~ |
	f8 f8	c'8 e,8~ e8 e8 cis'8 e,8 |

	\mark \markup { Bridge }
	R1 |
	r2 \bendup g4 \bendup g4 |
	R1 |
	r2 \bendup g4 \bendup g4 |
	R1 |
	R1 |

	\repeat unfold 7 {
		\tuplet 3/2 { d'8\2 d8\2 d8\2 }
	}
	d4\2 \slideout
	d,,=,,4 f8 d	g8	d	f8 d~ |
	d8 d8	f8 d	\bendup g4	\bendup g4 |
	d4	f8 d	g8 d	f8 d8 |
	d8 d8	f8 d	bes'4\4	bes4\4 |
	\repeat unfold 2 {
		d,=,,4	f8 d	g8 d	f8 d8 |
		d8 d8	f8 d	a'4\4	a4\4 |
		d,=,,4	f8 d	g8 d	f8 d8 |
		d8 d8	f8 d	bes'4\4	bes4\4 |
	}
	d,=,,4	f8 d	g8 d	f8 d8 |
	d8 d8	f8 d	c'4 c4 |

	d,=,,4	f8 d	g8 d	f8 d~ |
	d8 d8	fis8 d	g4	gis8 d |
	\mark \markup { Chorus }
	a'=,,4\4	bes8\4 a\4	cis8\4 a\4	bes8\4 a\4~ |
	a8\4 a8\4	bes8\4 a\4	cis8\4 a\4	bes8\4 a\4 |
	g4 a8\4 g	bes8\4 g	a8\4 g~ |
	g8 g a8\4 g	bes8\4 g	a8\4 g |

	a'=,,4\4	bes8\4 a\4	cis8\4 a\4	bes8\4 a\4~ |
	a8\4 a8\4	bes8\4 a\4	cis8\4 a\4	bes8\4 a\4 |
	g4 a8\4 g	bes8\4 a\4	g8 f~ |
	f8 f	d8 e~ e2

	\barNumberCheck #21
	d''8\2 d,8	cis'4\2	\bendup a4\2 a4\2 |
	g8\2 d	f4	e4	es4 |
	d8 a	cis4 ais4 a4 |
	g8 d	f4 e4 es4 |
	d1*4
}

\score {
	\new StaffGroup \with {
		\consists "Instrument_name_engraver"
		instrumentName = "E.Bs."
	} <<
		\new Staff \with {
			midiInstrument = "electric bass (finger)"
		} { \clef "bass_8" \electricBass_psycho }
		\new TabStaff \with {
			stringTunings = \stringTuning <d,, a,, d, g,>
		} \electricBass_psycho
	>>
	\layout { }
	\midi {
		\tempo 4=100
	}
}
